org.eclipse.ease.ui.scripts.expressions

## Interface ICompositeExpressionDefinition

All Superinterfaces:
  IExpressionDefinition

All Known Implementing Classes:
  AbstractCompositeExpressionDefinition, AdaptExpressionDefinition, AndExpressionDefinition, IterateExpressionDefinition, NotExpressionDefinition, OrExpressionDefinition, RootExpressionDefinition, WithExpressionDefinition

    public interface ICompositeExpressionDefinition
    extends IExpressionDefinition

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `acceptsChild()`
`boolean` `addChild(IExpressionDefinition expression)`
`java.util.List<IExpressionDefinition>` `getChildren()`
`void` `removeChild(IExpressionDefinition element)`

### Methods inherited from interface org.eclipse.ease.ui.scripts.expressions.IExpressionDefinition

`getDescription, getParent, hasParameter, serialize, setParameter, setParameterValues, setParent, toCoreExpression`

### Method Detail

#### addChild

    boolean addChild(IExpressionDefinition expression)

#### removeChild

    void removeChild(IExpressionDefinition element)

#### getChildren

    java.util.List<IExpressionDefinition> getChildren()

#### acceptsChild

    boolean acceptsChild()